/*<html><pre>*/
#ifndef V_GPSP_H
#define V_GPSP_H

/*
 *	General-purpose one-dimensional spline interpolation functions.
 */

#ifdef	__cplusplus
extern "C" {
#endif	/* __cplusplus */
	void_p	V_GLOBAL	cspCreate(vector_t *vx,vector_t *vy);
	mvec_t	V_GLOBAL	cspInterpolate(void_p handle,mvec_t x);
	void	V_GLOBAL	cspChangeX(void_p handle,vector_t *new_x);
	void	V_GLOBAL	cspChangeY(void_p handle,vector_t *new_y);
	void	V_GLOBAL	cspSetBoundaryCondition(void_p handle,
		vboolean zero_second_derivative,mvec_t f_deriv_l,mvec_t f_deriv_r);
	void	V_GLOBAL	cspDestroy(void_p handle);
#ifdef	__cplusplus
}
#endif	/* __cplusplus */

#endif	/* V_GPSP_H */
/*</pre></strong></body></html>*/
/*EOF*/
